Package ru.bitel.bgbilling.modules.hd.server.bean

# Class ContractPackage

java.lang.Object
ru.bitel.bgbilling.modules.hd.server.bean.ContractPackage

public class ContractPackage extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractPackage()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdminComment()`
  `String`
  `getContractComment()`
  `int`
  `getContractId()`
  `String`
  `getContractTitle()`
  `Calendar`
  `getDate1()`
  `Calendar`
  `getDate2()`
  `int`
  `getId()`
  `String`
  `getNsDomain()`
  `int`
  `getPackageId()`
  `String`
  `getPackageTitle()`
  `int`
  `getStatus()`
  `void`
  `setAdminComment(String adminComment)`
  `void`
  `setContractComment(String contractComment)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setDate1(Calendar date1)`
  `void`
  `setDate2(Calendar date2)`
  `void`
  `setId(int id)`
  `void`
  `setNsDomain(String nsDomain)`
  `void`
  `setPackageId(int serviceId)`
  `void`
  `setPackageTitle(String serviceTitle)`
  `void`
  `setStatus(int status)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractPackage

    public ContractPackage()

- ## Method Details

  - ### getAdminComment

    public String getAdminComment()

  - ### setAdminComment

    public void setAdminComment(String adminComment)

  - ### getDate1

    public Calendar getDate1()

  - ### setDate1

    public void setDate1(Calendar date1)

  - ### getDate2

    public Calendar getDate2()

  - ### setDate2

    public void setDate2(Calendar date2)

  - ### getNsDomain

    public String getNsDomain()

  - ### setNsDomain

    public void setNsDomain(String nsDomain)

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getId

    public int getId()

  - ### setId

    public void setId(int id)

  - ### getPackageId

    public int getPackageId()

  - ### setPackageId

    public void setPackageId(int serviceId)

  - ### getStatus

    public int getStatus()

  - ### setStatus

    public void setStatus(int status)

  - ### getPackageTitle

    public String getPackageTitle()

  - ### setPackageTitle

    public void setPackageTitle(String serviceTitle)

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)